%global srcname Babel
%define ver 2.6.0
%define rel 2

Summary: A collection of tools for internationalizing Python applications
Name: python-babel
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: modified BSD-style License
Group: Development/Libraries
URL: http://babel.pocoo.org/

Vendor: Project Vine
Distribution: Vine Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Source0: https://files.pythonhosted.org/packages/source/B/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0: babel-2.3.4-remove-pytz-version.patch

BuildRequires: python-setuptools, python-rpm-macros, python-pytz
Requires: python-setuptools
Requires: python-pytz

%{?python_provide:%python_provide python2-babel}

%description
Babel is composed of two major parts:

 * tools to build and work with gettext message catalogs
 * a Python interface to the CLDR (Common Locale Data Repository), 
   providing access to various locale display names, localized number 
   and date formatting, etc. 

%package -n python3-babel
Summary: A collection of tools for internationalizing Python applications
BuildRequires: python3-setuptools, python3-rpm-macros, python3-pytz
Requires: python3-setuptools
Requires: python3-pytz

%{?python_provide:%python_provide python3-babel}

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
%py_build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%py3_install
%py_install


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES AUTHORS
%license LICENSE
%{_bindir}/pybabel
%{python_sitelib}/Babel-*.egg-info
%{python_sitelib}/babel

%files -n python3-babel
%doc CHANGES AUTHORS
%license LICENSE
%{python3_sitelib}/Babel-%{version}-py*.egg-info
%{python3_sitelib}/babel

%changelog
* Thu Nov 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0-2
- fixed R:.

* Tue Nov 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0-1
- new upstream release.
- added python3 support.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-2
- rebuild with python-2.7.2
- add BuildRequires: python-setuptools

* Sun Oct 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.6-1
- new upstream release

* Wed Feb  3 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.4-2
- rebuilt with python-2.6.4

* Sun Apr  5 2009 IWAI, Masaharu <iwai@alib.jp> 0.9.4-1
- initial release

